SDL_SysWMmsg Struct Reference

`#include <SDL_syswm.h>`

Collaboration diagram for SDL_SysWMmsg:
[legend]

## Data Fields

SDL_version | version
SDL_SYSWM_TYPE | subsystem
union {
struct {
XEvent event
} x11
int dummy
} | msg

## Detailed Description

The custom event structure.

Definition at line 129 of file SDL_syswm.h.

## Field Documentation

int SDL_SysWMmsg::dummy

Definition at line 171 of file SDL_syswm.h.

XEvent SDL_SysWMmsg::event

Definition at line 145 of file SDL_syswm.h.

union { ... } SDL_SysWMmsg::msg

Referenced by SDL_AddEvent().

SDL_SYSWM_TYPE SDL_SysWMmsg::subsystem

Definition at line 132 of file SDL_syswm.h.

SDL_version SDL_SysWMmsg::version

Definition at line 131 of file SDL_syswm.h.

struct { ... } SDL_SysWMmsg::x11

The documentation for this struct was generated from the following file:

- include/SDL_syswm.h